:host { display: block; container: nav-bar / inline-size; }
.nav-bar { display: flex; justify-content: space-between; }
.search-btn { align-self: center; margin-right: var(--fds-spacing-200); }
.mobile-nav { display: block; width: 100%; }
.desktop-nav { display: none; }
@container nav-bar (min-width: 1024px) {
  .mobile-nav { display: none; }
  .desktop-nav { display: flex; justify-content: space-between; width: 100%; }
}